# $Revision: 1.5 $, $Date: 2004/11/16 22:00:39 $
%define		fversion	%(echo %{version} |tr r -)
%define		modulename	rpart
Summary:	Recursive Partitioning
Summary(pl):	Rekursywne partycjonowanie
Name:		R-cran-%{modulename}
Version:	3.1r20
Release:	1
License:	GPLv2 or see LICENCE
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	4a8a7627a46084ce7b78a23cc508917e
# Source0-size: 109368
URL:		http://www.mayo.edu/hsr/Sfunc.html
BuildRequires:	R-base >= 2.0.0
Requires(post,postun):	R-base >= 2.0.0
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Recursive partitioning and regression trees.

%description -l pl
Rekursywne partycjonowanie i drzewa regresji.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,Changelog,INDEX,LICENCE,NAMESPACE,PORTING,Readme}
%{_libdir}/R/library/%{modulename}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: R-cran-rpart.spec,v $
Revision 1.5  2004/11/16 22:00:39  undefine
- use cran, release 1

Revision 1.4  2004/10/13 19:26:21  undefine
- don't use -n %{modulename} when build

Revision 1.3  2004/10/13 17:38:07  qboosh
- cosmetics

Revision 1.2  2004/10/13 06:59:52  ankry
- spaces -> tabs

Revision 1.1  2004/10/12 23:33:20  undefine
- initital version
